OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::dsp::SpecialFunctions Struct Reference

`#include <juce_SpecialFunctions.h>`

## Static Public Member Functions
static double | besselI0 (double x) noexcept
static void | ellipticIntegralK (double k, double &K, double &Kp) noexcept
static Complex< double > | cde (Complex< double > u, double k) noexcept
static Complex< double > | sne (Complex< double > u, double k) noexcept
static Complex< double > | asne (Complex< double > w, double k) noexcept

## Detailed Description

Contains miscellaneous filter design and windowing functions.

Definition at line 37 of file juce_SpecialFunctions.h.

## Member Function Documentation

## ◆ asne()

Complex< double > juce::dsp::SpecialFunctions::asne | ( | Complex< double > | w,
|  | double | k
| ) |  |
| static noexcept

Computes the inverse of the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.

Definition at line 121 of file juce_SpecialFunctions.cpp.

## ◆ besselI0()

double juce::dsp::SpecialFunctions::besselI0 | ( | double | x | ) |
| static noexcept

Computes the modified Bessel function of the first kind I0 for a given double value x. Modified Bessel functions are useful to solve various mathematical problems involving differential equations.

Definition at line 32 of file juce_SpecialFunctions.cpp.

Referenced by juce::dsp::WindowingFunction< FloatType >::fillWindowingTables().

## ◆ cde()

Complex< double > juce::dsp::SpecialFunctions::cde | ( | Complex< double > | u,
|  | double | k
| ) |  |
| static noexcept

Computes the Jacobian elliptic function cd for the elliptic modulus k and the quarter-period units u.

Definition at line 75 of file juce_SpecialFunctions.cpp.

## ◆ ellipticIntegralK()

void juce::dsp::SpecialFunctions::ellipticIntegralK | ( | double | k,
|  | double & | K,
|  | double & | Kp
| ) |  |
| static noexcept

Computes the complete elliptic integral of the first kind K for a given double value k, and the associated complete elliptic integral of the first kind Kp for the complementary modulus of k.

Definition at line 52 of file juce_SpecialFunctions.cpp.

## ◆ sne()

Complex< double > juce::dsp::SpecialFunctions::sne | ( | Complex< double > | u,
|  | double | k
| ) |  |
| static noexcept

Computes the Jacobian elliptic function sn for the elliptic modulus k and the quarter-period units u.

Definition at line 98 of file juce_SpecialFunctions.cpp.

The documentation for this struct was generated from the following files:

- juce_SpecialFunctions.h
- juce_SpecialFunctions.cpp